Summary: GNU libtool, a shared library generation tool.
Name: libtool
Version: 1.3
Release: 1
Group: Development/Building
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
GNU libtool is a set of shell scripts to automatically configure
UNIX architectures to build shared libraries in generic fashion.


%prep
%setup -q


%build
./configure --prefix=/usr
make
(
	cd doc
	rm -f *.info*
	make libtool.{info,ps} MAKEINFO="makeinfo --no-split"
	gzip -9f libtool.ps
)


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*

# Directory libltdl, when installed under $RPM_BUILD_ROOT/usr/share/libtool
# as default, causes internal error of cpio at RPM installation time.
# Actually it is a plain copy of libtool-%{version}/libltdl before configure
# was run, so we move it to /usr/doc/libtool-%{version}
mv libltdl libltdl.orig
mv $RPM_BUILD_ROOT/usr/share/libtool/libltdl .


%post
/sbin/install-info /usr/info/libtool.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/libtool.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README THANKS TODO
%doc doc/libtool.ps.gz cdemo demo mdemo libltdl
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/share/aclocal/*
/usr/share/libtool


%clean
rm -rf $RPM_BUILD_ROOT

